module.exports = function (grunt) {
    grunt.initConfig({
        pkg: require('./package.json'),
        watch:{
            all : {
                files: ['src/**/*'],
                tasks: ['default']
            }
        },
        less: {
            production:{
                files: {
                    'build/app/style.scss': 'src/less/style.less'
                }
            }
        },
        concat: {
            options: {
                separator: '\n'
            },
            js: {
                src: [
                    //'bower_components/jquery/build/jquery.min.js',
                    'bower_components/ginger-widget/dist/js/widget.min.js',
                    'src/app.js'
                ],
                dest: 'build/app/app.js'
            }
        },
        /*crx: {
            options: {
                privateKey: "key.pem"
            },
            productionZip: {
                src: "build/!**!/!*",
                dest: "./build/<%= pkg.name %>_<%= pkg.version %>.zip"
            },
            productionCrx: {
                src: "build/!**!/!*",
                dest: "./build/<%= pkg.name %>_<%= pkg.version %>.crx"
            }
        },
        "bump": {
            options: {
                files: ['package.json','bower.json','src/manifest.yml','src/js/modules/config.js'],
                commit: false,
                createTag: false,
                push: false
            }
        },*/
        copy: {
            production: {
                files: [
                    {src: 'src/template.html', dest: 'build/app/template.html',flatten: true},
                    {src: 'src/manifest.yml', dest: 'build/manifest.yml',flatten: true},
                    { expand: true,
                        cwd: 'src/assets',
                        src: '**',
                        dest: 'build/assets'},
                    { expand: true,
                        cwd: 'src/config',
                        src: '**',
                        dest: 'build/config'}
                ]
            }
        },
        clean: ['dist','./build']
    });

    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-contrib-less');
    grunt.loadNpmTasks('grunt-contrib-concat');
    grunt.loadNpmTasks('grunt-contrib-copy');
    grunt.loadNpmTasks('grunt-contrib-clean');


    grunt.registerTask('watch-and-grunt', ['watch']);
    grunt.registerTask('default', ['clean','copy','concat','less']);
};